<?php
namespace BookneticAddon\AqayepardakhtPaymentGateway;

use Booknetic_GuzzleHttp\Client;

class AqayepardakhtApi
{
	private $aqayepardakht_pin;
    private $verifyurl = 'https://panel.aqayepardakht.ir/api/verify';

    public function __construct($aqayepardakht_pin)
    {
        $this->aqayepardakht_pin = $aqayepardakht_pin;
    } 
    public function payment($amount,$callback,$order_id,$mobile = null,$description = null)
    {
        $data = [
            'pin' =>  $this->aqayepardakht_pin,
            'amount' => $amount,
            'callback' => $callback,
            'card_number' => null,
            'mobile' => $mobile,
            'invoice_id' => $order_id,
            'description' => $description
        ];
        error_log(json_encode($data));
        
        $data = json_encode($data);
        $ch = curl_init('https://panel.aqayepardakht.ir/api/create');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLINFO_HEADER_OUT, true);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json',
        'Content-Length: ' . strlen($data))
        );
        $result = curl_exec($ch);
        curl_close($ch);
        if ($result && !is_numeric($result)) {
            return $result;
        //   header('Location: https://panel.aqayepardakht.ir/startpay/' . $result);
        } else {
            return false;
        }
    }
    
    public function verify($amount)
    {
        if (!isset($_POST['transid'])) {
            return;
        }
        $data = [
            'pin' =>  $this->aqayepardakht_pin,
            'amount' =>$amount,
            'transid' => $_POST['transid']
        ];
        $data = json_encode($data);
        $ch = curl_init('https://panel.aqayepardakht.ir/api/verify');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLINFO_HEADER_OUT, true);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/json',
                'Content-Length: ' . strlen($data))
        );
        $result = curl_exec($ch);
        curl_close($ch);
        if ($result === "1") {
           return true;// پرداخت با موفقیت انجام شده است
        } elseif ($result === "0") {
           return false;//    پرداخت انجام نشده است
        }
    }
}
