<?php

namespace BookneticAddon\AqayepardakhtPaymentGateway;

use BookneticApp\Providers\Helpers\Helper;
use BookneticApp\Providers\Common\PaymentGatewayService;
use Aqayepardakht\Exception\ApiErrorException;
use function BookneticAddon\AqayepardakhtPaymentGateway\bkntc__;

class Listener
{

	public static function saveSettings ( $response )
	{
		$aqayepardakht_pin   = Helper::_post( 'aqayepardakht_pin', '', 'string' );
 
        if ( PaymentGatewayService::find( 'aqayepardakht' )->isEnabled() && ( empty( $aqayepardakht_pin )  ) )
        {
            return Helper::response( false, bkntc__( 'Please, fill all fields to enable Aqayepardakht payment gateway!' ), true );
        }
		
		Helper::setOption( 'aqayepardakht_pin', $aqayepardakht_pin );

		return $response;
	}

	public static function checkAqayepardakhtCallback()
	{
        $bookneticPaymentId	        = Helper::_get('booknetic_payment_id', false, 'string' );
        $bkntcAqayepardakhtStatus	    = Helper::_get('bkntc_aqayepardakht_status', false, 'string', ['success', 'cancel']);
        if( !( $bkntcAqayepardakhtStatus !== false && $bookneticPaymentId  ) )
		{
            return;
		}
		$endres = true;
        $amount = Helper::getOption('aqayepardakht_'.$bookneticPaymentId,0);
        $aqayepardakht = new AqayepardakhtApi(Helper::getOption('aqayepardakht_pin'));
        $endres = $aqayepardakht->verify($amount);
		if($endres){
		    PaymentGatewayService::confirmPayment( $bookneticPaymentId );
            print '<script>window.opener.bookneticPaymentStatus( true );</script>';
            return;
		}else{
            PaymentGatewayService::cancelPayment( $bookneticPaymentId );
            print '<script>window.opener.bookneticPaymentStatus( false );</script>';
		    
		}
		return;
    }

}